#!/usr/bin/perl
package MasMapAgent;
use strict;
use warnings;
use SimpleObject;
use SimpleObjectRegistry;
our @ISA = qw(SimpleObject);

    sub id {
	$_[0]->{id};
    }

    sub assign_farmstead {
		my $self =shift;
		$self->set_attribute("farm_x", $_[0]);
		$self->set_attribute("farm_y", $_[1]);
	}
    sub get_farmstead {
		return ($_[0]->{"farm_x"}, $_[0]->{"farm_y"} )
    }
    sub prepare_endowment {
	my $self = shift;
	my $assets = [];
    }

1;

